# mime-alt-lite installation file.
# Copied with major changes from an old 'ri' installation script.

require 'rbconfig'
require 'find'
require 'ftools'

include Config

myPath = File::dirname( __FILE__ )

$version = CONFIG["MAJOR"]+"."+CONFIG["MINOR"]
$libdir = File.join(CONFIG["libdir"], "ruby", $version)

$sitedir = CONFIG["sitedir"] || File.join($libdir, "site_ruby")


if (destdir = ENV['DESTDIR'])
  $libdir = destdir + $libdir
  $sitedir = destdir + $sitedir
  File::makedirs($libdir)
  File::makedirs($sitedir)
end

$mime_alt_lite_from = File.join( myPath, "lib/mime")
$mime_alt_lite_dest = File.join( File.join( $sitedir, $version ) , "mime")
$mime_alt_lite_file = 'multipart_alternative_lite.rb'



########################################################################################
#
# Only run this stuff if we're being invoked as the installer
#

if $0 == __FILE__
  File::makedirs( $mime_alt_lite_dest ) unless File.exist?( $mime_alt_lite_dest)
  File::install( File.join( $mime_alt_lite_from , $mime_alt_lite_file), 
                 File.join( $mime_alt_lite_dest, $mime_alt_lite_file ), 
                 0644, true )
end

