#!/bin/env ruby

$:.unshift File.expand_path( File.dirname( __FILE__ ) )

require "test/unit"
require 'rexml/document'
require 'mime/multipart_alternative_lite'
require 'bluecloth'


class AlternateEncoding < MIME::MultipartAlternative::Lite::Body
  @@encoded_data  = {} 
  
  
  def file_encode( file_name )
    unless  @@encoded_data[ file_name ]
      @@encoded_data[ file_name ] = create_encoding( file_name  )
    end
    return @@encoded_data[ file_name ]    
  end 

  def create_encoding( file_name  )
     STDERR.puts( "-------------------- Encoding file '#{file_name }'")
    ( "XXXXXX_" + file_name + "\n" ) *  10
  end
end

class TC_MimeMultiPartSubclass < Test::Unit::TestCase

  def setup
    # FILL IN THESE VALUES WITH SOMETHING USEFUL!
    $from_email  = 'devel@neurogami.com'
    $to_email    = 'foo@example.com'
    $reply_to    =  'devel@neurogami.com'
  end

  def tear_down

  end


  def test_sublassing
    body = AlternateEncoding.new( source_html )
    assert_equal( AlternateEncoding, body.class )    
    assert_equal( "BOGUS", body.to_s )        
  end

  def test_sublassing_2
    body = AlternateEncoding.new( source_html )
    assert_equal( AlternateEncoding, body.class )    
    assert_equal( "BOGUS2", body.to_s )        
  end
  


  def source_html
'<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
  <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type" />
  <title>Test HTML</title>
</head>
<body bgcolor="#ffffff" text="#000000">
<p>This email should have two <font color="#339999">pictures</font>.&#160;
Here is the first one:</p>

<p>
<img height="8" width="8" alt="X1" src="images/test.jpg"/>
</p>
<p>And the other</p>
<p>
<img height="8" width="8" alt="X1" src="images/test.jpg"/>
</p>
  <p>The <i>end</i></p>
 </body>
</html>'
  end  
end
  

